Bug 37903 - Unbreak devel/mico
Summary: Unbreak devel/mico
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: scrappy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-05-09 21:40 UTC by Tilman Linneweh
Modified: 2003-02-22 17:21 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tilman Linneweh 2002-05-09 21:40:03 UTC
	qt145 is back.

Fix: 

-BROKEN=                "Needs someone to test with Qt2 support as Qt1 is gone."
 INSTALLS_SHLIB=        yes
 USE_NEWGCC=    yes
 USE_GMAKE=     yes--IcOSun4UDZq36ewLjfmJPBUyeXiILiOH6q15ooAzqyhaGuvh
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.orig       Sun May  5 14:40:24 2002
+++ Makefile    Sun May  5 14:41:02 2002
@@ -24,13 +24,12 @@
                QTVER="2"
 CONFIGURE_ENV= QTVER="2"
 .else
-#USE_QT_VER=   1
-#MAKE_ENV=     QT_INCLUDES="${X11BASE}/include/X11/qt" \
-#              QTVER=""
-#CONFIGURE_ENV=        QTVER=""
+USE_QT_VER=    1
+MAKE_ENV=      QT_INCLUDES="${X11BASE}/include/X11/qt1" \
+               QTVER=""
+CONFIGURE_ENV= QTVER=""
 .endif
Comment 1 Ying-Chieh Liao freebsd_committer 2002-05-10 05:47:59 UTC
Responsible Changed
From-To: freebsd-ports->scrappy

over to maintainer
Comment 2 Tilman Linneweh 2002-05-25 20:38:00 UTC
-- Requesting Reassignment of this PR --

Hello Portmanagers, (Hello Marc),

Since this PR is assigned to Marc on 9 May, and there
has been no reaction from him since then to this rather trivial fix,

I'd like this PR and the _mico-port_ to become reassigned..

According to http://people.freebsd.org/~peter/window12.txt 
scrappy's last commit was on 20001027, which is long time ago.

There is also an update-PR ports/36838 for this port, which is waiting
for treatment.

I also plan to make QT, GTK and TCL optional. (But don't wanna spend my
time on a PR which will cover dust in the PR Database)

regards arved, awaiting someone to take action.

Comment 3 Maxim Sobolev freebsd_committer 2002-05-27 08:34:02 UTC
Tilman Linneweh wrote:
> 
> -- Requesting Reassignment of this PR --
> 
> Hello Portmanagers, (Hello Marc),
> 
> Since this PR is assigned to Marc on 9 May, and there
> has been no reaction from him since then to this rather trivial fix,
> 
> I'd like this PR and the _mico-port_ to become reassigned..
> 
> According to http://people.freebsd.org/~peter/window12.txt
> scrappy's last commit was on 20001027, which is long time ago.
> 
> There is also an update-PR ports/36838 for this port, which is waiting
> for treatment.
> 
> I also plan to make QT, GTK and TCL optional. (But don't wanna spend my
> time on a PR which will cover dust in the PR Database)
> 
> regards arved, awaiting someone to take action.

I'll take a look at those PRs either today or tomorrow. Is this OK for
you?

-Maxim
Comment 4 Tilman Keskinoz freebsd_committer 2003-02-22 17:21:30 UTC
State Changed
From-To: open->closed

Committed